# List transaction orders

Endpoint: GET /v1/domains/{domainId}/transactions/orders
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Entity id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.

  - `sortOrder` (string)
    Sort order applied to the query results.

  - `accountId` (array)
    Return entities matching given accountId.

  - `ledgerId` (array)
    Return entities matching given ledgerId.

  - `intentId` (string)
    Return entities matching given intentId.

  - `parameters.type` (string)
    Return entities that matches given parameter type.

  - `metadata.createdBy` (string)
    Return entities that were created by matching user.

  - `metadata.lastModifiedBy` (string)
    Return entities that were last modified by matching user.

  - `metadata.createdAt.lt` (string)
    Used to return only results created before the given date/time (lt=less than)

  - `metadata.createdAt.gt` (string)
    Used to return only results created after the given date/time (gt=greater than)

  - `metadata.lastModifiedAt.lt` (string)
    Used to return only results last modified before the given date/time (lt=less than)

  - `metadata.lastModifiedAt.gt` (string)
    Used to return only results last modified after the given date/time (gt=greater than)

  - `metadata.description` (string)
    Return entities with descriptions that contains or equals to provided description.

  - `metadata.customProperties` (array)
    Return entities that contains provided custom properties.

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.data` (object, required)

  - `items.data.id` (string, required)

  - `items.data.domainId` (string, required)

  - `items.data.accountId` (string, required)

  - `items.data.ledgerId` (string)

  - `items.data.parameters` (any, required)

  - `items.data.parameters.operation` (any, required)

  - `items.data.parameters.operation.destination` (any, required)

  - `items.data.parameters.operation.destination.accountId` (string, required)

  - `items.data.parameters.operation.destination.type` (string, required)
    Enum: "Account", "Address", "Endpoint"

  - `items.data.parameters.operation.destination.address` (string, required)

  - `items.data.parameters.operation.destination.endpointId` (string, required)

  - `items.data.parameters.operation.amount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.data.parameters.operation.type` (string, required)
    Enum: "Payment"

  - `items.data.parameters.note` (string)

  - `items.data.parameters.feeStrategy` (any, required)

  - `items.data.parameters.feeStrategy.priority` (string, required)
    Enum: "High", "Medium", "Low"

  - `items.data.parameters.feeStrategy.type` (string, required)
    Enum: "Priority"

  - `items.data.parameters.maximumFee` (string)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.data.parameters.type` (string, required)
    Enum: "Algorand", "Bitcoin", "BitcoinRedirect", "Cardano", "Ethereum", "Hedera", "Solana", "Stellar", "Substrate", "Tezos", "Tron", "XRPL"

  - `items.data.parameters.outputs` (array, required)

  - `items.data.parameters.outputs.amount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.data.parameters.outputs.paysFee` (boolean)

  - `items.data.parameters.resourceStrategy` (any)

  - `items.data.parameters.resourceStrategy.transactionOrderId` (string, required)

  - `items.data.parameters.resourceStrategy.reason` (string)

  - `items.data.parameters.resourceStrategy.type` (string, required)
    Enum: "OrderReplacement"

  - `items.data.parameters.transferIds` (array, required)

  - `items.data.parameters.amount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.data.parameters.data` (string)

  - `items.data.parameters.memo` (string)
    String encoded using UTF-8, up to 100-bytes long

  - `items.data.parameters.memos` (array, required)

  - `items.data.parameters.memo` (any)

  - `items.data.parameters.memo.value` (string, required)
    Hex encoded stellar hash.

  - `items.data.parameters.memo.type` (string, required)
    Enum: "Hash", "Id", "Return", "Text"

  - `items.data.parameters.memo.value` (string, required)
    This field is a unsigned 64bit integer that can store values in range from 0 to 18446744073709551615.It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.data.parameters.memo.value` (string, required)
    String encoded using either ASCII or UTF-8, up to 28-bytes long

  - `items.data.parameters.pallet` (any, required)

  - `items.data.parameters.pallet.method` (any, required)

  - `items.data.parameters.pallet.method.amount` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.data.parameters.pallet.method.type` (string, required)
    Enum: "TransferKeepAlive"

  - `items.data.parameters.pallet.type` (string, required)
    Enum: "Balances", "Staking"

  - `items.data.parameters.destination` (any)

  - `items.data.parameters.sourceTag` (integer)

  - `items.data.parameters.destinationTag` (integer)

  - `items.data.metadata` (object, required)

  - `items.data.metadata.description` (string)

  - `items.data.metadata.revision` (integer, required)

  - `items.data.metadata.createdAt` (string, required)

  - `items.data.metadata.createdBy` (object)

  - `items.data.metadata.createdBy.id` (string, required)

  - `items.data.metadata.createdBy.domainId` (string, required)

  - `items.data.metadata.lastModifiedAt` (string, required)

  - `items.data.metadata.customProperties` (object, required)

  - `items.signature` (string, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400:

  - `400` (unknown)
    Invalid request (InvalidRequestError)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

